jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Julian Reschke (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (JCR-4110) The JackrabbitQueryParser uses the wrong Lucene-Version in its initializing
Date Wed, 08 Feb 2017 14:02:41 GMT

    [ https://issues.apache.org/jira/browse/JCR-4110?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15858015#comment-15858015
] 

Julian Reschke commented on JCR-4110:
-------------------------------------

...seems to be caused by the changed default for "autoGeneratePhraseQueries".

> The JackrabbitQueryParser uses the wrong Lucene-Version in its initializing
> ---------------------------------------------------------------------------
>
>                 Key: JCR-4110
>                 URL: https://issues.apache.org/jira/browse/JCR-4110
>             Project: Jackrabbit Content Repository
>          Issue Type: Bug
>          Components: jackrabbit-core
>    Affects Versions: 2.15.0
>            Reporter: Claus Köll
>            Assignee: Claus Köll
>             Fix For: 2.16, 2.15.1
>
>
> We have Problems with phrase queries because the JackrabbitQueryParser sets the lucene
version to 2.4. This sets enablePositionIncrements=false in the parent QueryParser.
> We use Lucene 3.6 where normaly this feature should be enabled.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message